VODAFONE

Overview:
Vodafone Cash enables payment collection and mobile wallet payouts using phone numbers


Payin

Request body:

FieldTypeRequirement LevelDescription
amountnumberRequiredAmount in EGP
currencystringRequired"EGP"
method_codestringRequired"VODAFONE"
referencestringRequiredMerchant reference
descriptionstringOptionalDescription for this payment
metadataobjectOptionalMerchant metadata, returned in notifications
webhook_urlstringOptionalHTTPS URL for payout notifications
customer.first_namestringOptionalCustomer's first name
customer.last_namestringOptionalCustomer's last name
customer.emailstringOptionalCustomer's email address
customer.phonestringOptionalCustomer's phone number
customer.addressstringOptionalCustomer's address
customer.citystringOptionalCustomer's city
customer.statestringOptionalCustomer's state
customer.zipstringOptionalCustomer's zipcode
customer.countrystringRequiredCustomer's country (iso2)
ip_addressstringOptionalSever's IP Address

Sample Payload:*

{
  "amount": 100,
  "currency": "EGP",
  "method_code": "VODAFONE",
  "reference": "INV-2025-001",
  "metadata": {
    "internal_id": "user1234"
  },
  "webhook_url": "https://yourwebsite.com/webhook",
	"callback_url": "https://yourwebsite.com/callback",
  "customer": {
    "first_name": "Firstname",
		"last_name": "lastname",
    "address": "No 2, Green Median Str",
    "phone": "+9995676898076",
    "email": "[email protected]",
		"country": "EG"
  },
	"ip_address": "0.0.0.0"
}

Payout

Request body:

FieldTypeRequirement LevelDescription
amountnumberRequiredAmount in the local currency
currencystringRequiredEGP
method_codestringRequired"VODAFONE"
recipient.phonestringRequiredRecipient’s phone number
recipient.full_namestringRequiredRecipient’s full name
referencestringRequiredMerchant reference
countrystringRequiredCountry (iso2)
metadataobjectOptionalMerchant metadata
webhook_urlstringOptionalHTTPS URL for notifications
sender.full_namestringOptionalSender's full name
sender.addressstringOptionalSender's address
sender.phonestringOptionalSender's phone number

Sample Payload:

{
  "amount": 100,
  "currency": "EGP",
  "method_code": "VODAFONE",
  "recipient": {
    "phone": "01712345678",
    "full_name": "Firstname Surname"
  },
  "reference": "INV-2025-001",
  "country": "EG",
  "metadata": {
    "internal_id": "user1234"
  },
  "webhook_url": "https://yourwebsite.com/webhook",
  "sender": {
    "full_name": "Firstname Surname",
    "address": "No 2, Green Median Str"
  }
}